> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload one or more files to a style

> Creates one or more style file records. The FileResourceId must reference a resource already uploaded via the file upload endpoint. All items are created in a single transaction.



## OpenAPI

````yaml /openapi/external.enriched.json post /api/styles/{styleId}/files
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/styles/{styleId}/files:
    post:
      tags:
        - StyleFiles
      summary: Upload one or more files to a style
      description: >-
        Creates one or more style file records. The FileResourceId must
        reference a resource already uploaded via the file upload endpoint. All
        items are created in a single transaction.
      parameters:
        - name: styleId
          in: path
          required: true
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StyleFileCreateDto'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StyleFileCreateDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StyleFileCreateDto'
        required: true
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfStyleFileDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfStyleFileDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfStyleFileDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
      security:
        - {}
components:
  schemas:
    StyleFileCreateDto:
      type: object
      properties:
        folderId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type: string
        note:
          type:
            - 'null'
            - string
        fileResourceId:
          type: string
          format: uuid
        colorwayId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
      additionalProperties: false
    ApiResponseOfListOfStyleFileDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/StyleFileDto'
      additionalProperties: false
    ApiBulkErrorResponse:
      required:
        - status
        - code
        - error
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/BulkErrorDetail'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ApiResponseStatus: {}
    StyleFileDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type: string
        note:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/StyleFileState'
        url:
          type:
            - 'null'
            - string
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        folderId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        folderType:
          $ref: '#/components/schemas/StyleFileFolderType'
        colorwayId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        colorwayName:
          type:
            - 'null'
            - string
      additionalProperties: false
    BulkErrorDetail:
      required:
        - operation
        - total_items
        - failed_items
        - summary
        - details
      type: object
      properties:
        operation:
          type: string
        total_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        failed_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        summary:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    StyleFileState: {}
    StyleFileFolderType: {}
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false

````